<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}
$permisos = str_split($sesion->get('permiso'));
if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => '10001'."No tiene permisos", 'desc' => "No tiene permisos");
    echo json_encode($rta);
    exit;
}
if (isset($_GET['dt'])) {
    require_once("../includes/MySQL.php");
    $academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

    $cod = $_GET['dt'];
    $cod = explode(",", $cod);
    $cod = array_filter($cod);
    $cod = implode(",", $cod); 
    $grupo=(int) $_GET['grupo'];
    $sql = "call SP_MATRICULA_BLOQUE($grupo,'$cod');";
 
 
    if ($sql != '') {
        $academia->instruccion($sql);
        if ($acction == 'new') {
            $rta = array('error' => $academia->extraer_error(), 'id' => $academia->ultima_fila());
            echo json_encode($rta);
        } else {
            $rta = array('error' => $academia->extraer_error(), 'id' => $cod, sql => $sql );
            echo json_encode($rta); 
        } 
    }
 
    $academia->cerrar();
}
?> 